id: rgp_tap_sku
label: 'Product variation sku'
migration_group: tap
dependencies:
  enforced:
    module:
      - rg_import

source:
  plugin: product_list_source
  data_fetcher_plugin: http
  data_parser_plugin: json
  track_changes: false
  skip_count: true
  pager:
    type: maxpage
    selector: data
  updates_only: false

  urls: 'http://akeneoce.hicmedia.com/customapi/api/en/V1/GetRMTapsProducts'
  item_selector: data/products
  authentication:
    plugin: oauth2
    grant_type: client_credentials
    base_uri: http://akeneoce.hicmedia.com
    token_url: /customapi/api/en/v2/GetToken
    client_id: agawebsite
    client_secret: 'Sd[eW_d;YNN7'
  fields:
    - name: sku
      label: 'Sku'
      selector: sku
  ids:
    sku:
      type: string

process:
  sku: sku
  status:
    plugin: default_value
    default_value: 0
  type:
    plugin: default_value
    default_value: 'tap'

destination:
  plugin: table
  # Table which is installed in hook schema.
  table_name: product_sku
  # Fields which will be used by the migration to map a unique table row.
  id_fields:
    sku:
      type: string
  # Fields which will be inserted in the table columns.
  fields:
    sku: sku
    type: type
    status: status


